%define pkg_name        Method-Alias
%define pkg_version     1.03
%define rpm_pkg_version 1.03
%define rpm_pkg_release 1.n0i.1

Summary:       Safely create method aliases
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Method/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.47
BuildRequires: perl(File::Spec) >= 0.82


%description
Method::Alias is a module useful for creating method aliases.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Tue Sep 18 2007 Marius Feraru <altblue@n0i.net> - 1.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 1.03
